// Program: VIEWWIN.HPP
// Author: B.Zink	- CIS ID 70224,37
// (c) Copyright 1992 - All Rights Reserved
// Version: 1.00
// ---------------------------------------------------------------
// Revisions:
// ---------------------------------------------------------------
// August 20, 1992 - No revisions
// ---------------------------------------------------------------
//
// Remarks:
#ifndef _VIEWWIN_HPP
#define _VIEWWIN_HPP

_CLASSDEF(TViewWindow)
class _EXPORT TViewWindow : public TWindow
{
public:
	LOGFONT lFont;
	HFONT windowFont;
   char *filename;
public:
	TViewWindow( PTWindowsObject AParent, char *AFile);
	~TViewWindow();
	virtual void SetupWindow( void );
	virtual void Paint(HDC PaintDC, PAINTSTRUCT& PaintInfo);
   virtual void WMNCLButtonDown (RTMessage Msg ) = [WM_FIRST+WM_NCLBUTTONDOWN];
};


_CLASSDEF(TViewDialog)
class _EXPORT TViewDialog : public TDialog
{
protected:
	PTViewWindow fileWindow;
	PTComboBox sizeComboBox;
public:
	TViewDialog(PTWindowsObject AParent, LPSTR ATitle, char *AFile);
   ~TViewDialog();
	virtual void SetupWindow();

	virtual void WMChangeSize ( RTMessage Msg ) = [ID_FIRST+ID_CBFONTSIZE];
	virtual void WMHelp		  ( RTMessage Msg ) = [ID_FIRST+IDHELP];

   virtual void FillFontSizes();
};

#endif